# A Local Algorithm for Structure-Preserving Graph Cut

## Overview
The package contains the following files:
- demo.m: a demo file showcases how to use the proposed HOSPLOC algorithm using different user-defined network structures on the synthetic dataset. (Please refer to Fig. 1 of our original paper).
- HOSPLOC.m: the High-Order Structure-Preserving LOcal Cut algorithm. 
- MaxIter.m: the maximum iteration estimator for HOSLOC algorithm on a given network. 
- TP_ThreeNodeLine.m: the transition tensor constructor when the user-defined network structure is three-node line.
- TP_Triangle.m: the transition tensor constructor when the user-defined network structure is triangle.
- TP_FourNodeLoop.m: the transition tensor constructor when the user-defined network structure is four-node loop.
- TP_FiveNodeStar.m: the transition tensor constructor when the user-defined network structure is five-node star.
- vec_epi.m: the truncation operator w.r.r. epi. 
- HConduc.m: the high-order graph conductance measurement regarding different user-defined network structures.

## Usage
Please refer to the demo code file demo.m and the descriptions in each file for the detailed information.

## Reference
Dawei Zhou, Si Zhang, Mehmet Yigit Yildirim, Scott Alcorn, Hanghang Tong, Hasan Davulcu, Jingrui He. A Local Algorithm for Structure-Preserving Graph Cut, ACM: SIGKDD Conference on Knowledge Discovery and Data Mining (KDD-2017), August 2017.
